{%- extends "_layout.html" %}

{%- block content %}

            <div class="row">
                <div class="col-lg-12">
                    {{ macros_page.render_breadcrumbs(item) }}

                    <h2>{{ vial_current_view.get_view_title() }}</h2>
                    <hr>
                    <h3>{{ _('Reporting settings for group %(item)s', item = item.group.name) }}{% if item.group.description %} <small>{{ item.group.description }}</small>{% endif %}</h3>
                    <div class="pull-right">
                        {{ macros_page.render_menu_actions(item) }}

                    </div>
                    <p>
                        <small>
                            <strong>{{ _('Record created') }}:</strong> {{ babel_format_datetime(item.createtime) }} ({{ _('%(delta)s ago', delta = babel_format_timedelta(current_datetime_utc - item.createtime)) }})
                        </small>
                    </p>
                    <br>

                    <!-- Nav tabs -->
                    <ul class="nav nav-tabs" role="tablist">
                        <li role="presentation" class="active">
                            <a href="#tab-general" aria-controls="tab-general" role="tab" data-toggle="tab">
                                <strong>{{ get_icon('alert-info') }} {{ _('General information') }}</strong>
                            </a>
                        </li>
                        {%- if can_access_endpoint('settings_reporting.update', item) %}
                        <li role="presentation">
                            <a href="#tab-changelog" aria-controls="tab-changelog" role="tab" data-toggle="tab">
                                <strong>{{ get_icon('module-changelogs') }} {{ _('Changelogs') }}</strong> <span class="badge">{{ item_changelog | length }}</span>
                            </a>
                        </li>
                        {%- endif %}
                    </ul>

                    <!-- Tab panes -->
                    <div class="tab-content">

                        <div role="tabpanel" class="tab-pane fade in active" id="tab-general">
                            <br>
                            <table class="table table-striped">
                                <tbody>
                                    <tr>
                                        <th class="info"></th>
                                        <th class="info">{{ _('Local setting') }}</th>
                                        <th class="info">{{ _('Final setting') }}</th>
                                    </tr>
                                    <tr>
                                        <th>
                                            {{ _('Target emails') }}:
                                        </th>
                                        <td>
                                            {%- if item.emails is not none %}
                                                {%- if item.emails %}
                                                    {%- for subitem in item.emails %}
                                                    <a href="mailto:{{ subitem }}">{{ subitem }}</a>{%- if not loop.last %} | {%- endif %}
                                                    {%- endfor %}
                                                {%- else %}
                                                {{ _('<< none >>') }}
                                                {%- endif %}
                                            {%- else %}
                                            {{ _('<< system default >>') }}
                                            {%- endif %}
                                        </td>
                                        <td>
                                            {%- for subitem in system_default_repsettings.emails %}
                                            <a href="mailto:{{ subitem }}">{{ subitem }}</a>{%- if not loop.last %} | {%- endif %}
                                            {%- endfor %}
                                        </td>
                                    </tr>
                                    <tr>
                                        <th>
                                            {{ _('Reporting mode') }}:
                                        </th>
                                        <td>
                                            {%- if item.mode is not none %}
                                            {{ item.mode }}
                                            {%- else %}
                                            {{ _('<< system default >>') }}
                                            {%- endif %}
                                        </td>
                                        <td>
                                            {{ system_default_repsettings.mode }}
                                        </td>
                                    </tr>
                                    <tr>
                                        <th>
                                            {{ _('Report template') }}:
                                        </th>
                                        <td>
                                            {%- if item.template is not none %}
                                            {{ item.template }}
                                            {%- else %}
                                            {{ _('<< system default >>') }}
                                            {%- endif %}
                                        </td>
                                        <td>
                                            {{ system_default_repsettings.template }}
                                        </td>
                                    </tr>
                                    <tr>
                                        <th>
                                            {{ _('Report locale') }}:
                                        </th>
                                        <td>
                                            {%- if item.locale is not none %}
                                            {{ get_country_flag(item.locale|upper) }} {{ babel_translate_locale(item.locale, True) }} ({{ item.locale }})
                                            {%- else %}
                                            {{ _('<< system default >>') }}
                                            {%- endif %}
                                        </td>
                                        <td>
                                            {{ get_country_flag(system_default_repsettings.locale|upper) }} {{ babel_translate_locale(system_default_repsettings.locale, True) }} ({{ system_default_repsettings.locale }})
                                        </td>
                                    </tr>
                                    <tr>
                                        <th>
                                            {{ _('Report timezone') }}:
                                        </th>
                                        <td>
                                            {%- if item.timezone is not none %}
                                            {{ item.timezone }}
                                            {%- else %}
                                            {{ _('<< system default >>') }}
                                            {%- endif %}
                                        </td>
                                        <td>
                                            {{ system_default_repsettings.timezone }}
                                        </td>
                                    </tr>
                                    <tr>
                                        <th>
                                            {{ _('Mute reporting') }}:
                                        </th>
                                        <td>
                                            {%- if item.mute is not none %}
                                            {{ macros_site.render_label_item_state(item.mute, True) }}
                                            {%- else %}
                                            {{ _('<< system default >>') }}
                                            {%- endif %}
                                        </td>
                                        <td>
                                            {{ macros_site.render_label_item_state(system_default_repsettings.mute, True) }}
                                        </td>
                                    </tr>
                                    <tr>
                                        <th>
                                            {{ _('Report redirection') }}:
                                        </th>
                                        <td>
                                            {%- if item.redirect is not none %}
                                            {{ macros_site.render_label_item_state(item.redirect, True) }}
                                            {%- else %}
                                            {{ _('<< system default >>') }}
                                            {%- endif %}
                                        </td>
                                        <td>
                                            {{ macros_site.render_label_item_state(system_default_repsettings.redirect, True) }}
                                        </td>
                                    </tr>
                                    <tr>
                                        <th>
                                            {{ _('Reporting timing') }}:
                                        </th>
                                        <td>
                                            {%- if item.timing %}
                                            {{ item.timing }}
                                            {%- else %}
                                            {{ _('<< system default >>') }}
                                            {%- endif %}
                                        </td>
                                        <td>
                                            {{ system_default_repsettings.timing }}
                                        </td>
                                    </tr>
                                    {% if item.timing and item.timing == 'custom' %}
                                    <tr>
                                        <th>
                                            {{ _('Custom timing settings') }}:
                                        </th>
                                        <td>
                                            <table class="table">
                                                <tr>
                                                    <th>{{ _('Severity') }}</th>
                                                    <th>{{ _('Period') }}</th>
                                                    <th>{{ _('Threshold') }}</th>
                                                    <th>{{ _('Relapse') }}</th>
                                                </tr>
                                                <tr>
                                                    <td>{{ _('low') }}</td>
                                                    <td>{{ get_reporting_interval_name(item.timing_per_lo) }}</td>
                                                    <td>{{ get_reporting_interval_name(item.timing_thr_lo) }}</td>
                                                    <td>{{ get_reporting_interval_name(item.timing_rel_lo) }}</td>
                                                </tr>
                                                <tr>
                                                    <td>{{ _('medium') }}</td>
                                                    <td>{{ get_reporting_interval_name(item.timing_per_md) }}</td>
                                                    <td>{{ get_reporting_interval_name(item.timing_thr_md) }}</td>
                                                    <td>{{ get_reporting_interval_name(item.timing_rel_md) }}</td>
                                                </tr>
                                                <tr>
                                                    <td>{{ _('high') }}</td>
                                                    <td>{{ get_reporting_interval_name(item.timing_per_hi) }}</td>
                                                    <td>{{ get_reporting_interval_name(item.timing_thr_hi) }}</td>
                                                    <td>{{ get_reporting_interval_name(item.timing_rel_hi) }}</td>
                                                </tr>
                                                <tr>
                                                    <td>{{ _('critical') }}</td>
                                                    <td>{{ get_reporting_interval_name(item.timing_per_cr) }}</td>
                                                    <td>{{ get_reporting_interval_name(item.timing_thr_cr) }}</td>
                                                    <td>{{ get_reporting_interval_name(item.timing_rel_cr) }}</td>
                                                </tr>
                                            </table>
                                        </td>
                                    </tr>
                                    {% endif %}
                                </tbody>
                            </table>
                        </div>

                        {%- if can_access_endpoint('settings_reporting.update', item) %}
                        <div role="tabpanel" class="tab-pane fade" id="tab-changelog">
                            <br>
                            {%- if item_changelog %}
                            {{ macros_page.render_changelog_records(item_changelog, context_action_menu_changelogs) }}
                            <p>
                                <small>
                                    {{ _('Displaying only latest %(count)s changelogs', count = 100) }}
                                </small>
                            </p>
                            {%- else %}
                            {%- call macros_site.render_alert('info', False) %}
                            {{ _('This object does not have any changelog records at the moment.') }}
                            {%- endcall %}
                            {%- endif %}
                        </div>
                        {%- endif %}

                    </div>

                </div><!-- /.col-lg-12 -->
            </div><!-- /.row -->

{%- endblock content %}
